curl --request POST \
--url https://api.leadping.ai/automations \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"scope": "<string>",
"visibility": "<string>",
"triggers": [
{
"id": "<string>",
"type": "<string>",
"displayName": "<string>",
"isEnabled": true,
"settings": {}
}
],
"conditionGroups": [
{
"id": "<string>",
"mode": "<string>",
"conditions": [
{
"id": "<string>",
"type": "<string>",
"operator": "<string>",
"isEnabled": true,
"settings": {}
}
]
}
],
"actions": [
{
"id": "<string>",
"type": "<string>",
"order": "<string>",
"isEnabled": true,
"settings": {}
}
],
"version": "<string>",
"id": "<string>"
}
'import requests
url = "https://api.leadping.ai/automations"
payload = {
"name": "<string>",
"description": "<string>",
"enabled": True,
"scope": "<string>",
"visibility": "<string>",
"triggers": [
{
"id": "<string>",
"type": "<string>",
"displayName": "<string>",
"isEnabled": True,
"settings": {}
}
],
"conditionGroups": [
{
"id": "<string>",
"mode": "<string>",
"conditions": [
{
"id": "<string>",
"type": "<string>",
"operator": "<string>",
"isEnabled": True,
"settings": {}
}
]
}
],
"actions": [
{
"id": "<string>",
"type": "<string>",
"order": "<string>",
"isEnabled": True,
"settings": {}
}
],
"version": "<string>",
"id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/automations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"enabled\": true,\n \"scope\": \"<string>\",\n \"visibility\": \"<string>\",\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"displayName\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"conditionGroups\": [\n {\n \"id\": \"<string>\",\n \"mode\": \"<string>\",\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"operator\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ]\n }\n ],\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"order\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"version\": \"<string>\",\n \"id\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/automations")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"enabled\": true,\n \"scope\": \"<string>\",\n \"visibility\": \"<string>\",\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"displayName\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"conditionGroups\": [\n {\n \"id\": \"<string>\",\n \"mode\": \"<string>\",\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"operator\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ]\n }\n ],\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"order\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"version\": \"<string>\",\n \"id\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
enabled: true,
scope: '<string>',
visibility: '<string>',
triggers: [
{
id: '<string>',
type: '<string>',
displayName: '<string>',
isEnabled: true,
settings: {}
}
],
conditionGroups: [
{
id: '<string>',
mode: '<string>',
conditions: [
{
id: '<string>',
type: '<string>',
operator: '<string>',
isEnabled: true,
settings: {}
}
]
}
],
actions: [
{
id: '<string>',
type: '<string>',
order: '<string>',
isEnabled: true,
settings: {}
}
],
version: '<string>',
id: '<string>'
})
};
fetch('https://api.leadping.ai/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/automations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"enabled\": true,\n \"scope\": \"<string>\",\n \"visibility\": \"<string>\",\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"displayName\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"conditionGroups\": [\n {\n \"id\": \"<string>\",\n \"mode\": \"<string>\",\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"operator\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ]\n }\n ],\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"order\": \"<string>\",\n \"isEnabled\": true,\n \"settings\": {}\n }\n ],\n \"version\": \"<string>\",\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'enabled' => true,
'scope' => '<string>',
'visibility' => '<string>',
'triggers' => [
[
'id' => '<string>',
'type' => '<string>',
'displayName' => '<string>',
'isEnabled' => true,
'settings' => [
]
]
],
'conditionGroups' => [
[
'id' => '<string>',
'mode' => '<string>',
'conditions' => [
[
'id' => '<string>',
'type' => '<string>',
'operator' => '<string>',
'isEnabled' => true,
'settings' => [
]
]
]
]
],
'actions' => [
[
'id' => '<string>',
'type' => '<string>',
'order' => '<string>',
'isEnabled' => true,
'settings' => [
]
]
],
'version' => '<string>',
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"description": "<string>",
"enabled": true,
"businessId": "<string>",
"createdByUserId": "<string>",
"scope": "<string>",
"visibility": "<string>",
"managementLevel": "<string>",
"isSystemManaged": true,
"triggers": [
{
"id": "<string>",
"type": "<string>",
"displayName": "<string>",
"isEnabled": true,
"settings": {}
}
],
"conditionGroups": [
{
"id": "<string>",
"mode": "<string>",
"conditions": [
{
"id": "<string>",
"type": "<string>",
"operator": "<string>",
"isEnabled": true,
"settings": {}
}
]
}
],
"actions": [
{
"id": "<string>",
"type": "<string>",
"order": "<string>",
"isEnabled": true,
"settings": {}
}
],
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunStatus": "<string>",
"recentRuns": [
{
"id": "<string>",
"automationId": "<string>",
"businessId": "<string>",
"leadId": "<string>",
"triggerType": "<string>",
"status": "<string>",
"executionMode": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"processingAttempts": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>",
"skippedReason": "<string>",
"actions": [
{
"id": "<string>",
"automationRunId": "<string>",
"actionId": "<string>",
"actionType": "<string>",
"order": "<string>",
"status": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"processingAttempts": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>"
}
]
}
],
"version": "<string>",
"user": {
"id": "<string>",
"name": "<string>"
},
"business": {
"id": "<string>",
"name": "<string>"
},
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Create a business lead follow-up automation
Creates an automation for current-business leads, configuring triggers, message steps, and follow-up behavior.
Body
The automation request payload for the operation.
Request schema for the Leadping API automation configuration request, including the fields clients can send.
The display name for the entity.
255Human-readable description that explains this automation configuration request to API users.
Indicates whether this automation configuration request is active and available in the Leadping API.
Scope that limits where this automation configuration request applies in Leadping.
Visibility level that controls who can see this automation configuration request.
Automation triggers that can start this workflow.
Show child attributes
Show child attributes
Grouped automation conditions used to decide whether this workflow should run.
Show child attributes
Show child attributes
Automation actions configured or returned for this workflow.
Show child attributes
Show child attributes
Version number for this automation configuration request schema or saved configuration.
^-?(?:0|[1-9]\d*)$The unique identifier for the entity, when updating an existing entity.
Response
The automation response was created successfully.
Response schema for the Leadping API automation configuration response returned to authenticated clients.
Human-readable description that explains this automation configuration response to API users.
Indicates whether this automation configuration response is active and available in the Leadping API.
Business ID that owns this automation.
User ID of the person who created this automation configuration response.
Scope that limits where this automation configuration response applies in Leadping.
Visibility level that controls who can see this automation configuration response.
Management level that controls whether Leadping or the business owns this automation setting.
Indicates whether Leadping manages this automation configuration response automatically instead of a user.
Automation triggers that can start this workflow.
Show child attributes
Show child attributes
Grouped automation conditions used to decide whether this workflow should run.
Show child attributes
Show child attributes
Automation actions configured or returned for this workflow.
Show child attributes
Show child attributes
UTC timestamp when this automation last ran.
Status from the most recent automation run.
Recent automation runs returned for history and troubleshooting.
Show child attributes
Show child attributes
Version number for this automation configuration response schema or saved configuration.
^-?(?:0|[1-9]\d*)$User summary connected to this automation configuration response.
Show child attributes
Show child attributes
Business summary connected to this automation configuration response.
Show child attributes
Show child attributes
The display name for the entity.
The unique identifier for the entity.
The date and time when the entity was created.
The date and time when the entity was last modified, if applicable.

